Debian Bug report logs - #458707
stetic: FTBFS: error CS0006: cannot find metadata file `Mono.Posix'

version graph

Package: stetic; Maintainer for stetic is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 2 Jan 2008 12:48:10 UTC

Severity: serious

Found in version stetic/0.1.0~svn.81552+dfsg-1

Fixed in version stetic/0.1.0~svn.81552+dfsg-1.1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mirco Bauer <meebey@debian.org>:
Bug#458707; Package stetic. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Mirco Bauer <meebey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: stetic: FTBFS: error CS0006: cannot find metadata file `Mono.Posix'
Date: Wed, 2 Jan 2008 13:32:21 +0100
Package: stetic
version: 0.1.0~svn.81552+dfsg-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080101 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > make[2]: Entering directory `/build/user/stetic-0.1.0~svn.81552+dfsg/libstetic'
 > mkdir -p ../bin
 > cp ./libstetic.dll.config ../bin/.
 > mkdir -p ../bin
 > /usr/bin/mcs -debug -pkg:glade-sharp-2.0 -pkg:gnome-sharp-2.0 -pkg:gtk-sharp-2.0 -r:Mono.Posix -r:System -target:library -out:../bin/libstetic.dll @sources.rsp
 > error CS0006: cannot find metadata file `Mono.Posix'
 > Compilation failed: 1 error(s), 0 warnings
 > make[2]: *** [../bin/libstetic.dll] Error 1
 > make[2]: Leaving directory `/build/user/stetic-0.1.0~svn.81552+dfsg/libstetic'
 > make[1]: *** [all-recursive] Error 1
 > make[1]: Leaving directory `/build/user/stetic-0.1.0~svn.81552+dfsg'
 > make: *** [build-stamp] Error 2
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2008/01/01

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 458707-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 458707-close@bugs.debian.org
Subject: Bug#458707: fixed in stetic 0.1.0~svn.81552+dfsg-1.1
Date: Sun, 13 Jan 2008 14:02:16 +0000
Source: stetic
Source-Version: 0.1.0~svn.81552+dfsg-1.1

We believe that the bug you reported is fixed in the latest version of
stetic, which is due to be installed in the Debian FTP archive:

stetic_0.1.0~svn.81552+dfsg-1.1.diff.gz
  to pool/main/s/stetic/stetic_0.1.0~svn.81552+dfsg-1.1.diff.gz
stetic_0.1.0~svn.81552+dfsg-1.1.dsc
  to pool/main/s/stetic/stetic_0.1.0~svn.81552+dfsg-1.1.dsc
stetic_0.1.0~svn.81552+dfsg-1.1_all.deb
  to pool/main/s/stetic/stetic_0.1.0~svn.81552+dfsg-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 458707@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated stetic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 14:54:00 +0100
Source: stetic
Binary: stetic
Architecture: source all
Version: 0.1.0~svn.81552+dfsg-1.1
Distribution: unstable
Urgency: low
Maintainer: Mirco Bauer <meebey@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 stetic     - GNOME and GTK+ GUI designer
Closes: 458707
Changes: 
 stetic (0.1.0~svn.81552+dfsg-1.1) unstable; urgency=low
 .
   * Non-maintainer upload from BSP Zurich.
   * Adding missing build-depends to libmono2.0-cil (Closes: #458707).
Files: 
 19b4834d98dfb2ab0cc3e2c6ef9d56e4 994 devel optional stetic_0.1.0~svn.81552+dfsg-1.1.dsc
 bbbb0d8d15d9a74c8e819f58b9123a46 4915 devel optional stetic_0.1.0~svn.81552+dfsg-1.1.diff.gz
 a708dc33a7b42e7245f3343ca487e7d9 586848 devel optional stetic_0.1.0~svn.81552+dfsg-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHihih+C5cwEsrK54RAry+AJ9ixpDnL5YOVaQaI6QUC/A7QtCoNgCeMABH
qajE6PiSf09lgewCOYa0p3k=
=kKDM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Feb 2008 07:26:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:23:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.